Obtener listado de Clientes

Este endpoint obtiene el listado de los clientes de su empresa en CMMShere

HTTP Request

GET https://admin.cmmshere.com/api/v1/clients

Parámetros de consulta

Estos parámetros son opcionales y utilizados para filtrar e interactuar con la información obtenida. Los parámetros de filtrado (si se utilizan) se usan para buscar resultados que contengan dicho texto.

ParámetroTipoDefaultDescripción
codStringNo definidoSi se utiliza, el resultado solo incluirá clientes que contengan ese código
nombre_comercialStringNo definidoSi se utiliza, el resultado solo incluirá clientes que contengan ese nombre comercial
nombre_legalStringNo definidoSi se utiliza, el resultado solo incluirá clientes que contengan ese nombre legal
nro_identificacionStringNo definidoSi se utiliza, el resultado solo incluirá clientes que contengan esenro de identificación
offsetIntNo definidoOffset para paginación
limitIntNo definidoLimite para paginación
orderByArray["created_at", "desc"]Ordenamiento. El primer valor es el campo y el segundo la direccion ASC o DESC

Ejemplo de petición

curl --location --request GET 'https://admin.cmmshere.com/api/v1/clients' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer 804|fCkDcz43egLAubMzPinRCIVUIjPUsGkvbVJ864IP' \
--header 'Cookie: XSRF-TOKEN=eyJpdiI6IjYzT3RtSituZWFSY3Q0SWhzV0N2Zmc9PSIsInZhbHVlIjoibmJwaENna0xpcllFWThOT2wvKzNxNmh6UTBnMkRqbG1zN1hnZjlZUjJkODhrd3VJVTVlaTVZeDlndngyT0pTTHFrZ2RGU2traHM3MktTVURrSzFJcGtUZ1czaUZXTnFTNzdtYlZpQTRKWlhOQTN5REVwaUNVbVpuWDlYQmRCeFEiLCJtYWMiOiIxYjA5NTViNDQyOWVkMzM1Yzk5MWY2YWQzMTRjMzZjOTM0NTViZmFhNDQ5NDczZWFkZDY0MTI5Y2QwNTNkYWViIn0%3D; laravel_session=eyJpdiI6Ijdzc1BQcW0vUVo3eWhqbXh4VW9KQmc9PSIsInZhbHVlIjoibGh1d3Q3SDVJL2lqend3UTF5QmtmeWRRMW1uY0dtQWlyTEM3Q1JubTJiSzIyRnZDZXdNazYzVWgrOUpTSUlteWp2R3hwNnBsN3lVM1VEZlRjZHlxcnJqRTRnZ083NFdUWk5zWGJjdGUweXhjSTRzN3lXV3hUOVR2QXFUSnZSVlAiLCJtYWMiOiJlNWZkMmViNWE5NGI1ZTM0ZmRjN2I5YTU4MzdhYjE2NTc1MzRlNWE2NmUyOWJkMDRiNTE0NGU0MzZiNmMwNzBhIn0%3D' \
--data '{
    "offset" : 0,
    "limit" : 5,
    "orderBy" : ["id", "asc"]
}'

La petición de arriba devuelve un JSON estructurado de la siguiente manera

{
  "success": true,
  "code": 200,
  "results": [
    {
      "id": 8035,
      "cod": "C0001764",
      "registration_type": "C",
      "com_name": "Andes Tech Solutions S.R.L.",
      "leg_name": "Andes Legal Advisors",
      "info": "Servicios tecnológicos",
      "doc_type": "NIT",
      "id_number": "1029384756",
      "client_type_id": "22",
      "area_id": "0",
      "address": "Av. Illampu 1234, Zona Central",
      "country": "Bolivia",
      "city": "La Paz",
      "client_level": "1",
      "creator_id": 21,
      "status": "1",
      "email": "[email protected]",
      "helpdesk_domain": null,
      "lat": "12.3456789",
      "lng": "-68.1234567",
      "phone": "70123456",
      "father_id": null,
      "fee_quoted_work": null,
      "created_at": "2026-06-03T21:17:41.000000Z"
    },
    {
      "id": 8034,
      "cod": "C0001763",
      "registration_type": "M",
      "com_name": "Alti Systems",
      "leg_name": "Alti Tech S.R.L.",
      "info": null,
      "doc_type": "NIT",
      "id_number": "435435",
      "client_type_id": "373",
      "area_id": "0",
      "address": "Av. Siempre Viva 742",
      "country": "Bolivia",
      "city": null,
      "client_level": "1",
      "creator_id": 21,
      "status": "1",
      "email": null,
      "helpdesk_domain": null,
      "lat": null,
      "lng": null,
      "phone": null,
      "father_id": null,
      "fee_quoted_work": null,
      "created_at": "2026-05-20T14:32:55.000000Z"
    },
    {
      "id": 8033,
      "cod": "C0001762",
      "registration_type": "S",
      "com_name": "Titi Cloud Corp",
      "leg_name": "Titi Legal Group",
      "info": "Servicios en la nube",
      "doc_type": "NIT",
      "id_number": "1232131",
      "client_type_id": "366",
      "area_id": "0",
      "address": "Calle Comercio 555",
      "country": "Bolivia",
      "city": null,
      "client_level": null,
      "creator_id": 21,
      "status": "1",
      "email": null,
      "helpdesk_domain": null,
      "lat": null,
      "lng": null,
      "phone": null,
      "father_id": null,
      "fee_quoted_work": null,
      "created_at": "2026-05-20T14:29:58.000000Z"
    },
    {
      "id": 7893,
      "cod": "C0001761",
      "registration_type": "C",
      "com_name": "Cordillera Agro Industries",
      "leg_name": "Cordillera Legal Group",
      "info": null,
      "doc_type": "NIT",
      "id_number": "3460020017",
      "client_type_id": "23",
      "area_id": "28",
      "address": "Zona Equipetrol, Santa Cruz",
      "country": "Bolivia",
      "city": "Santa Cruz",
      "client_level": "4",
      "creator_id": 292,
      "status": "1",
      "email": null,
      "helpdesk_domain": null,
      "lat": null,
      "lng": null,
      "phone": null,
      "father_id": null,
      "fee_quoted_work": null,
      "created_at": "2026-03-10T11:21:55.000000Z"
    },
    {
      "id": 7748,
      "cod": "C0001760",
      "registration_type": "C",
      "com_name": "SCC Innovación S.R.L.",
      "leg_name": "SCC Legal Advisory",
      "info": null,
      "doc_type": "NIT",
      "id_number": "5081726394",
      "client_type_id": "13",
      "area_id": "0",
      "address": "Av. Mariscal Santa Cruz 1020, La Paz",
      "country": "Bolivia",
      "city": "La Paz",
      "client_level": "0",
      "creator_id": 30,
      "status": "1",
      "email": null,
      "helpdesk_domain": null,
      "lat": null,
      "lng": null,
      "phone": null,
      "father_id": null,
      "fee_quoted_work": null,
      "created_at": "2026-03-04T17:40:02.000000Z"
    }
  ]
}